# common functions for the scripts

set -e

if [ -z "$USB_POWER" ] ; then
	echo "WARNING: USB_POWER variable not passed to script. Defaulting to 'usb_power'"
	USB_POWER=usb_power
fi

usb_on() {
	echo "turning on usb..."
	$USB_POWER on
	adb wait-for-device
}

usb_off() {
	echo "turning off usb..."
	$USB_POWER off
}

cp_ubuntu() {
	adb push $1 /data/ubuntu/$2
}

run_target() {
	path="PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin"
	adb shell chroot /data/ubuntu /usr/bin/env -i $path $*
}

# create an upstart file that can run the command in the background while
# we sleep and wait.
run_target_disconnected() {
	timeout=$1
	shift
	tmp=`mktemp`
	cat >$tmp <<EOF
start on utah_disconnected_cmd
exec $*
EOF
	cp_ubuntu $tmp /etc/init/utah_disconnected_cmd.conf
	rm $tmp
	run_target start utah_disconnected_cmd
	if [ "s$timeout" != "s0" ] ; then
		usb_off
		sleep $timeout
		usb_on
		run_target stop utah_disconnected_cmd
	fi
}
