#!/bin/sh

set -e
set -x

. ./scripts/common.sh

if [ -n "$SKIP_SETUP" ] ; then
	echo "skipping setup"
	exit 0
fi

run_target DEBIAN_FRONTEND=noninteractive apt-get install -y -q cpuburn
cp_ubuntu ./scripts/normalize_battery.py /tmp/

# run the normalize_battery script in the background on the target
run_target_disconnected 0 dbus-launch python /tmp/normalize_battery.py
sleep 10s  # give the script time to start running (and possibly exit)

while true ; do
	if run_target status utah_disconnected_cmd | grep stop >/dev/null ; then
		exit 0
	fi
	echo "battery still normalizing will check in 5 minutes..."
	adb shell cat /sys/class/power_supply/battery/capacity
	usb_off
	sleep 5m
	usb_on
done
